Zadig 文档
Zadig
教程
博客
论坛
关于
中文英文
Zadig
教程
博客
论坛
关于
Zadig v4.2
Loading...
     编辑文档
     反馈问题
     社区讨论

    本页导航

    Cluster

    # List Cluster Information

    Request

    GET /openapi/system/cluster
    
    1

    Success Response Description

    TypeDescription
    []OpenAPIClusterCluster information list

    OpenAPICluster Parameter Description

    Parameter NameDescriptionType
    cluster_idCluster IDstring
    nameCluster namestring
    descriptionDescriptionstring
    providerProvider:
    0:Standard Kubernetes cluster
    1:Alibaba Cloud ACK
    2:Tencent Cloud TKE
    3:Huawei Cloud CCE
    4:Amazon EKS
    5:Tencent Cloud TKE Serverless
    6:Google Cloud GKE
    7:Microsoft Cloud AKS
    int
    provider_nameProvider namestring
    productionWhether it's a production clusterbool
    created_byCreatorstring
    created_timeCreation timeint
    localWhether it's a local clusterbool
    statusCluster status:
    normal:Normal
    disconnected:Disconnected
    pending:Pending
    abnormal:Connection abnormal
    string
    typeCluster type:
    agent:Agent mode
    kubeconfig:Direct connection mode
    string

    Success Response Example

    [
        {
            "cluster_id": "0123456789****ef12345678",
            "name": "local-20220823144517",
            "production": true,
            "description": "",
            "provider": 0,
            "provider_name": "Standard Kubernetes Cluster",
            "created_by": "system",
            "created_time": 1661237117,
            "local": true,
            "status": "normal",
            "type": "agent"
        },
        {
            "cluster_id": "64b80b03f****553e5707fef",
            "name": "tt",
            "production": false,
            "description": "",
            "provider": 4,
            "provider_name": "Amazon EKS",
            "created_by": "admin",
            "created_time": 1689783043,
            "local": false,
            "status": "pending",
            "type": "agent"
        }
    ]
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16
    17
    18
    19
    20
    21
    22
    23
    24
    25
    26
    27
    28

    # Create Cluster

    Request

    POST /openapi/system/cluster
    
    1

    Body Parameter Description

    Parameter NameDescriptionTypeRequired
    nameCluster namestringYes
    typeCluster type:
    agent:Agent mode
    kubeconfig:Direct connection mode
    stringYes
    kube_configKubeconfig configuration, can be empty when type is agentstringYes
    productionWhether it's a production clusterboolYes
    providerProvider:
    0:Standard Kubernetes cluster
    1:Alibaba Cloud ACK
    2:Tencent Cloud TKE
    3:Huawei Cloud CCE
    4:Amazon EKS
    5:Tencent Cloud TKE Serverless
    6:Google Cloud GKE
    7:Microsoft Cloud AKS
    intYes
    descriptionCluster descriptionstringYes
    project_namesProject scope that can use this cluster, use <all_projects> to set all projects[]stringYes

    Success Response Description

    Parameter NameTypeDescription
    clusterOpenAPIClusterCluster information
    agent_cmdstringAgent access command, only valid when type is agent

    Success Response Example

    {
        "cluster": {
            "cluster_id": "0123456789****ef12345678",
            "name": "local-20220823144517",
            "production": true,
            "description": "",
            "provider": 0,
            "provider_name": "Standard Kubernetes Cluster",
            "created_by": "system",
            "created_time": 1661237117,
            "local": true,
            "status": "normal",
            "type": "agent"
        },
        "agent_cmd": "kubectl apply -f \"http://course.8slan.com/api/aslan/cluster/agent/6657ee912d51d34e253e503f/agent.yaml?type=deploy\""
    }
    
    1
    2
    3
    4
    5
    6
    7
    8
    9
    10
    11
    12
    13
    14
    15
    16

    # Update Specified Cluster

    Request

    PUT /openapi/system/cluster/:id
    
    1

    Path Parameter Description

    Parameter NameTypeDescriptionRequiredDefault
    idstringCluster primary keyYesNone

    Body Parameter Description

    Parameter NameDescriptionTypeRequired
    nameCluster namestringYes
    descriptionCluster descriptionstringYes
    project_namesProject scope that can use this cluster, use <all_projects> to set all projects[]stringYes

    Body Parameter Example

     {
            "name": "local-20220823144517-new",
            "description": "Local Cluster",
            "project_names": [
                "<all_projects>",
            ]
        }
    
    1
    2
    3
    4
    5
    6
    7

    Success Response Description

    {message: "success"}
    
    1

    # Delete Specified Cluster

    Request

    DELETE /openapi/system/cluster/:id
    
    1

    Path Parameter Description

    Parameter NameTypeDescriptionRequiredDefault
    idstringCluster primary keyYesNone

    Success Response Description

    {message: "success"}
    
    1

    # Check Cluster Istio Installation

    Request

    GET /openapi/cluster/istio/check/:id
    
    1

    Path Parameter Description

    Parameter NameTypeDescriptionRequiredDefault
    idstringCluster primary keyYesNone

    Success Response Description

    true
    
    1

    ← Artifact ManagementImage Registry→

    资源
    教程
    论坛
    博客
    公司
    关于
    客户故事
    加入我们
    联系我们
    微信扫一扫
    hello@koderover.com

    © 2026 筑栈(上海)信息技术有限公司 沪 ICP 备 19000177 号 - 1

    •  跟随系统
    •  浅色模式
    •  深色模式
    •  阅读模式